.phone-wrapper,
.popup-phone-wrapper {
    position: relative;
    display: flex;
    border: 1px solid #ced4da;
    border-radius: 6px;
}
.phone-wrapper {
    height: 40px;
}
.popup-phone-wrapper {
    height: 34px;
    background-color: var(--bs-form-control-bg);
    border: var(--bs-border-width) solid var(--bs-border-color);
}
@media (min-width: 768px) {
    .popup-phone-wrapper {
        height: 32px;
    }
}

@media (min-width: 968px) {
    .popup-phone-wrapper {
        height: 34px;
    }
}

.phone-wrapper:focus-within,
.popup-phone-wrapper:focus-within {
    color: var(--bs-body-color);
    background-color: var(--bs-form-control-bg);
    border-color: #86b7fe;
    outline: 0;
    box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}

.country-wrapper {
    position: relative;
    display: flex;
    height: 40px;
    border: 1px solid #ced4da;
    border-radius: 6px;
}
.phone-code-select {
    display: flex;
    align-items: center;
    padding: 0 2px 0 6px;
    border-right: 1px solid #ced4da;
    background: #fff;
    cursor: pointer;
    border-top-left-radius: 6px;
    border-bottom-left-radius: 6px;
}

.phone-code-select img {
    width: 20px;
    height: 14px;
}

.phone-input-wrapper,
.popup-phone-input-wrapper {
    display: flex;
    align-items: center;
    border-top-right-radius: 6px;
    border-bottom-right-radius: 6px;
    width: 100%;
}
.phone-input-wrapper input {
    box-shadow: none !important;
}

.phoneDialPrefix {
    color: #555;
    white-space: nowrap;
    margin-left: 2px;
}

.phone-input {
    border: none;
    outline: none;
    width: 100%;
    background: inherit;
}

.phone-input:focus {
    box-shadow: none !important;
    background: transparent !important;
}

.country-dropdown {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background: #fff;
    border: 1px solid #ddd;
    max-height: 225px;
    overflow-y: auto;
    display: none;
    z-index: 999;
}

.phoneCountryList {
    padding: 0;
    font-size: 12px;
}

.phoneCountryList li {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 10px 12px;
    cursor: pointer;
}

.phoneCountryList li:hover {
    background: #f5f5f5;
}

.phoneCountryList img {
    width: 20px;
    height: 14px;
}

.country-search {
    position: sticky;
    top: 0;
    z-index: 10;
    background: #fff;
    width: 100%;
    border: none;
    border-bottom: 1px solid #eee;
    outline: none;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);
}

.country-search::placeholder {
    color: #999;
}

.phone-code-select {
    position: relative;
}

/* tooltip box */
.phone-code-select::after {
    content: attr(data-tooltip);
    position: absolute;
    bottom: -36px;
    left: 75%;
    transform: translateX(-50%);
    background: #000;
    color: #fff;
    font-size: 12px;
    padding: 5px;
    border-radius: 4px;
    white-space: nowrap;
    opacity: 0;
    transition: opacity 0.2s ease;
}

.phone-code-select:hover::after,
.phone-code-select:hover::before {
    opacity: 1;
}
